StackTraceFilterer (Grails 6.0.0)

Package: org.grails.exceptions.reporting

## [Java] Interface StackTraceFilterer

-     public interface StackTraceFilterer

  Improves the output of stack traces produced by exceptions in a Grails application.

  Since:
    2.0
  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `java.lang.String` | `FULL_STACK_TRACE_MESSAGE` |
    `java.lang.String` | `SYS_PROP_DISPLAY_FULL_STACKTRACE` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addInternalPackage(java.lang.String name)` Adds a package name that should be filtered
    `` | `public java.lang.Throwable` | `filter(java.lang.Throwable source, boolean recursive)`
    `` | `public java.lang.Throwable` | `filter(java.lang.Throwable source)`
    `` | `public void` | `setCutOffPackage(java.lang.String cutOffPackage)` Sets the package where the stack trace should end
    `` | `public void` | `setShouldFilter(boolean shouldFilter)` Parameters: `shouldFilter` - Whether to filter stack traces or not

- - ### Field Detail

    - #### java.lang.String FULL_STACK_TRACE_MESSAGE

    - #### java.lang.String SYS_PROP_DISPLAY_FULL_STACKTRACE

  - ### Method Detail

    - #### public void addInternalPackage(java.lang.String name)

      Adds a package name that should be filtered

      Parameters:
        `name` - The name of the package

    - #### public java.lang.Throwable filter(java.lang.Throwable source, boolean recursive)

      Remove all apparently Grails-internal trace entries from the exception instance

      This modifies the original instance and returns it, it does not clone

      Parameters:
        `source` - The source exception
        `recursive` - Whether to recursively filter the cause
      Returns:
        The exception passed in, after cleaning the stack trace

    - #### public java.lang.Throwable filter(java.lang.Throwable source)

      Remove all apparently Grails-internal trace entries from the exception instance

      This modifies the original instance and returns it, it does not clone

      Parameters:
        `source` - The source exception
      Returns:
        The exception passed in, after cleaning the stack trace

    - #### public void setCutOffPackage(java.lang.String cutOffPackage)

      Sets the package where the stack trace should end

      Parameters:
        `cutOffPackage` - The cut off package

    - #### public void setShouldFilter(boolean shouldFilter)

      Parameters:
        `shouldFilter` - Whether to filter stack traces or not